Package com.collibra.dgc.core.api.dto.meta.assettype

# Class ChangeAssetTypeRequest.Builder

Object
Builder

Enclosing class:
  `ChangeAssetTypeRequest`

public static final class ChangeAssetTypeRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChangeAssetTypeRequest.Builder`
  `acronymCode(String acronymCode)`
  The acronym code, a code representing the acronym that should be shown.
  `ChangeAssetTypeRequest`
  `build()`
  `ChangeAssetTypeRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `ChangeAssetTypeRequest.Builder`
  `color(String color)`
  The color of the symbol, in a hex format e.g.
  `ChangeAssetTypeRequest.Builder`
  `description(String description)`
  The new description for the Asset Type.
  `ChangeAssetTypeRequest.Builder`
  `displayNameEnabled(Boolean displayNameEnabled)`
  Whether display name should be enabled for all Assets of changed type.
  `ChangeAssetTypeRequest.Builder`
  `iconCode(String iconCode)`
  The icon code, a code representing the icon that should be shown.
  `ChangeAssetTypeRequest.Builder`
  `id(UUID id)`
  Required. The ID of the Asset Type to be changed.
  `ChangeAssetTypeRequest.Builder`
  `name(String name)`
  The new name for the Asset Type.
  `ChangeAssetTypeRequest.Builder`
  `parentId(UUID parentId)`
  The ID of the new parent for the Asset Type.
  `ChangeAssetTypeRequest.Builder`
  `publicId(String publicId)`
  The new public id for the Asset Type.
  `ChangeAssetTypeRequest.Builder`
  `ratingEnabled(Boolean ratingEnabled)`
  Whether rating should be enabled for all Assets of given type.
  `ChangeAssetTypeRequest.Builder`
  `symbolType(AssetTypeSymbolType symbolType)`
  The symbol type.
  `String`
  `toString()`
  `ChangeAssetTypeRequest.Builder`
  `traitIds(List<UUID> traitIds)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public ChangeAssetTypeRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `ChangeAssetTypeRequest.builder()`.
    Clone method for this Builder.

  - ### id

    public ChangeAssetTypeRequest.Builder id(UUID id)
    Required. The ID of the Asset Type to be changed.
    Returns:
      `this`.

  - ### publicId

    public ChangeAssetTypeRequest.Builder publicId(String publicId)
    The new public id for the Asset Type.

    It must be unique within all Asset Types, Complex Relation Types, Domain Types and Scopes. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C".

    WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable.
    Returns:
      `this`.

  - ### name

    public ChangeAssetTypeRequest.Builder name(String name)
    The new name for the Asset Type.
    Returns:
      `this`.

  - ### description

    public ChangeAssetTypeRequest.Builder description(String description)
    The new description for the Asset Type.
    Returns:
      `this`.

  - ### parentId

    public ChangeAssetTypeRequest.Builder parentId(UUID parentId)
    The ID of the new parent for the Asset Type.
    Returns:
      `this`.

  - ### color

    public ChangeAssetTypeRequest.Builder color(String color)
    The color of the symbol, in a hex format e.g. '#000000'. This format always includes the '#' and has a size of 7.
    Returns:
      `this`.

  - ### symbolType

    public ChangeAssetTypeRequest.Builder symbolType(AssetTypeSymbolType symbolType)
    The symbol type.
    Returns:
      `this`.

  - ### iconCode

    public ChangeAssetTypeRequest.Builder iconCode(String iconCode)
    The icon code, a code representing the icon that should be shown.
    Returns:
      `this`.

  - ### acronymCode

    public ChangeAssetTypeRequest.Builder acronymCode(String acronymCode)
    The acronym code, a code representing the acronym that should be shown.
    Returns:
      `this`.

  - ### displayNameEnabled

    public ChangeAssetTypeRequest.Builder displayNameEnabled(Boolean displayNameEnabled)
    Whether display name should be enabled for all Assets of changed type.
    Returns:
      `this`.

  - ### ratingEnabled

    public ChangeAssetTypeRequest.Builder ratingEnabled(Boolean ratingEnabled)
    Whether rating should be enabled for all Assets of given type.
    Returns:
      `this`.

  - ### traitIds

    public ChangeAssetTypeRequest.Builder traitIds(List<UUID> traitIds)
    Returns:
      `this`.

  - ### build

    public ChangeAssetTypeRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`